#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 10. Graphics and Font Libraries

- Prev

  newt-0.52.24

- Next

  OpenJPEG-2.5.0

- Up
- Home

# opencv-4.9.0

## Introduction to opencv

The opencv package contains graphics libraries mainly aimed at real-time computer vision.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/opencv/opencv/archive/4.9.0/opencv-4.9.0.tar.gz

- Download MD5 sum: 153b4b8dd103b1bfe447f7dd1f22eac0

- Download size: 88 MB

- Estimated disk space required: 820 MB

- Estimated build time: 7.4 SBU (using parallelism=4)

### Additional Downloads

- Optional additional modules: https://github.com/opencv/opencv_contrib/archive/4.9.0/opencv_contrib-4.9.0.tar.gz

### Note

One additional file that starts with "ippicv" (integrated performance primitives) will be automatically downloaded during the cmake portion of the build procedure. This download is specific to the system architecture.

### opencv Dependencies

#### Required

CMake-3.28.3 and UnZip-6.0

#### Recommended

FFmpeg-6.1.1, gst-plugins-base-1.22.10, GTK+-3.24.41, JasPer-4.2.0, libexif-0.6.24, libjpeg-turbo-3.0.1, libpng-1.6.42, libtiff-4.6.0, libwebp-1.3.2, OpenJPEG-2.5.0, v4l-utils-1.26.1, and xine-lib-1.2.13

#### Optional

apache-ant-1.10.14, Doxygen-1.10.0, Java-21.0.2, NumPy-1.26.4, ATLAS, blas, Cuda, Eigen, OpenEXR, GDAL, lapack, libdc1394, Threading Building Blocks (TBB), and VTK - The Visualization Toolkit,

## Installation of opencv

If you downloaded the optional modules, unpack them now:

    tar -xf ../opencv_contrib-4.9.0.tar.gz

Install opencv by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr      \
          -DCMAKE_BUILD_TYPE=Release       \
          -DENABLE_CXX11=ON                \
          -DBUILD_PERF_TESTS=OFF           \
          -DWITH_XINE=ON                   \
          -DBUILD_TESTS=OFF                \
          -DENABLE_PRECOMPILED_HEADERS=OFF \
          -DCMAKE_SKIP_RPATH=ON            \
          -DBUILD_WITH_DEBUG_INFO=OFF      \
          -Wno-dev  ..                     &&
    make

The package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DWITH_XINE=ON`: This option instructs the make procedure to use xine-lib-1.2.13.

`-DENABLE_PRECOMPILED_HEADERS=OFF`: This option is needed for compatibility with gcc-6.1 and later.

`-DOPENCV_EXTRA_MODULES_PATH=../opencv_contrib-4.9.0/modules`: instructs the build system to build additional modules.

## Contents

Installed Programs: opencv_annotation, opencv_interactive-calibration, opencv_model_diagnostics, opencv_version, opencv_visualisation, and setup_vars_opencv4.sh
Installed Libraries: libopencv_calib3d.so, libopencv_core.so, libopencv_dnn.so, libopencv_features2d.so, libopencv_flann.so, libopencv_gapi.so, libopencv_highgui.so, libopencv_imgcodecs.so, libopencv_imgproc.so, libopencv_ml.so, libopencv_objdetect.so, libopencv_photo.so, libopencv_stitching.so, libopencv_video.so, and libopencv_videoio.so
Installed Directories: /usr/include/opencv4, /usr/lib/cmake/opencv4, /usr/lib/python3.12/site-packages/cv2, /usr/share/licenses/opencv4, /usr/share/opencv4, and /usr/share/java/opencv4

- Prev

  newt-0.52.24

- Next

  OpenJPEG-2.5.0

- Up
- Home